/**
 * The MIT License
 * 
 * Copyright (c) 2009 kyozi0x7c00@gmail.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package jp.sourceforge.hhcp.statement.impl;

import java.util.List;

import jp.sourceforge.hhcp.mining.IStatementVisitor;
import jp.sourceforge.hhcp.statement.IStatement;

public class LoopStatement extends IStatementImpl {
	private ExpressionStatement _expression;
	private List<IStatement> _statement;

	public LoopStatement(ExpressionStatement expression, List<IStatement> statement) {
		_expression = expression;
		_statement = statement;
	}

	@Override
	public void accept(IStatementVisitor visitor) {
		visitor.visit(this);
	}

	public ExpressionStatement getExpressionStatement() {
		return _expression;
	}

	public List<IStatement> getStatement() {
		return _statement;
	}
}
